## wmix 3.1

=== Makefile ===
CC		= gcc
CFLAGS		= -O3 -W -Wall
LDFLAGS		= -L/usr/X11R6/lib
OBJECTS		= misc.o mixer-oss.o ui_x.o wmix.o

# where to install this program (also for packaging stuff)
DESTDIR		=
PREFIX		= $(DESTDIR)/usr/X11R6
INSTALL		= -m 755

wmix: $(OBJECTS)
	$(CC) -o $@ $(LDFLAGS) $(OBJECTS) -lXpm -lXext -lX11 -lm

clean:
	rm -rf *.o wmix *~

install: wmix
	install $(INSTALL) wmix $(PREFIX)/bin

## wmix 3.3

=== debian/changelog ===
wmix (3.3-1) unstable; urgency=medium

  * New maintainer (Closes: #877099).
  * New upstream release (Closes: #768531).
  * debian/control
    - Tidy up using wrap-and-sort.
    - Switch priority to optional.
    - Remove cdbs, patchutils, and x11proto-core-dev from
      Build-Depends.
    - Add libasound2-dev and libxrandr-dev to Build-Depends.
    - Bump Standards-Version to 4.1.1.
    - Add Vcs-* fields.
  * debian/copyright
    - Update to DEP5 format.
  * debian/docs
    - Add AUTHORS and remove NEWS.
  * debian/menu.wmix
    - Remove deprecated Debian menu file.
  * debian/patches/wmix-3.2-fix-volume-adjustment.diff
    - Convert to quilt.
  * debian/rules
    - Use dh.  One nice side effect of this is that we no
      longer strip the binary when installing when the 'nostrip'
      option is specified (Closes: #438273).
    - New override_dh_installchangelogs target; install NEWS as
      upstream changelog.
  * debian/source/format
    - New file; use 3.0 (quilt).
  * debian/watch
    - Use special strings.
  * debian/wmix.1x
    - Remove file; a more thorough manpage is now distributed
      by upstream.
  * debian/wmix.dirs
    - Remove unnecessary file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sat, 30 Sep 2017 20:35:22 -0400

wmix (3.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bumped DH to level 10. (Closes: #817723)
  * debian/control:
      - Added the Homepage field.
      - Added the ${misc:Depends} variable to Depends field.
      - Bumped Standards-Version to 3.9.8.
  * debian/watch: created.

 -- Daniele Adriana Goulart Lopes <danydrik@yahoo.com.br>  Wed, 30 Nov 2016 12:51:21 -0200

wmix (3.1-5) unstable; urgency=low

  * Updated build-depends (Closes:#515428)

 -- Fredrik Steen <stone@debian.org>  Sun, 29 Nov 2009 23:09:31 +0100

wmix (3.1-4) unstable; urgency=low

  * Fix for inaccurate volume adjustments. Patch from
    Dan Pascu <dan@ag-projects.com>

 -- Fredrik Steen <stone@debian.org>  Mon, 24 Apr 2006 16:34:06 +0200

wmix (3.1-3) unstable; urgency=low

  * Tested under ALSA won't work, removed ALSA text from 
    description and manpage. Closes:#350039

 -- Fredrik Steen <stone@debian.org>  Fri, 24 Mar 2006 15:01:43 +0100

wmix (3.1-2) unstable; urgency=low

  * Update build-deps for xlibs-dev removal; closes: #347119.
    Thanks to Justin Pryzby for sending patch.
  * Bumped Standards-Version

 -- Fredrik Steen <stone@debian.org>  Sun, 15 Jan 2006 21:14:30 +0100

wmix (3.1-1) unstable; urgency=low

  * New upstream release (Closes:#254291)

 -- Fredrik Steen <stone@debian.org>  Fri, 14 Oct 2005 11:23:58 +0200

wmix (3.0-7) unstable; urgency=low

  * It seems the reason is that the new kernel headers don't like having
    the mixer_info type name masked by a local variable. Patch from
    Daniel Schepler (thanks) Closes:#224790

 -- Fredrik Steen <stone@debian.org>  Fri,  2 Jan 2004 14:07:50 +0100

wmix (3.0-6) unstable; urgency=low

  * The doh! release. Forgot to Build-depend on cdbs
    Closes:#217054

 -- Fredrik Steen <stone@debian.org>  Wed, 22 Oct 2003 15:50:07 +0200

wmix (3.0-5) unstable; urgency=low

  * Converted package to use cdbs
  * Patch from Andreas Tscharner <starfire@dplanet.ch> to fix 10% bug
    (Closes:#216488)

 -- Fredrik Steen <stone@debian.org>  Wed, 22 Oct 2003 11:35:06 +0200

wmix (3.0-4) unstable; urgency=low

  * lib6g-dev is obsolete. Build-Depends on xlibs-dev instead.
    Thanks to Daniel Schepler for the bug report. (Closes:#170151)
  * Updated Standards-version

 -- Fredrik Steen <stone@debian.org>  Tue, 17 Dec 2002 16:15:28 +0100

wmix (3.0-3) unstable; urgency=low

  * Fixed a too long description line, Closes:#130987.

 -- Fredrik Steen <stone@debian.org>  Tue, 29 Jan 2002 04:43:56 +0100

wmix (3.0-2) unstable; urgency=low

  * fixed spelling error in description Closes:#125494

 -- Fredrik Steen <stone@debian.org>  Tue, 18 Dec 2001 13:49:22 +0100

wmix (3.0-1) unstable; urgency=low

  * New upstream release Closes:#99315
  * Sample rc file included

 -- Fredrik Steen <stone@debian.org>  Fri,  1 Jun 2001 08:21:01 +0200

wmix (2.20-2) unstable; urgency=low

  * Removed gzip from Build-Depends, not needed. 
  * Changed Build-Depends from xpm4g-dev to xlibs-dev.

 -- Fredrik Steen <stone@debian.org>  Thu, 26 Apr 2001 08:15:03 +0200

wmix (2.20-1) unstable; urgency=low

  * New upstream release.
  * Man page created and added Closes:#92595.
  * Debian Packaging
  	+ Fixed wrong path to binary in menu.
  	+ Fixed Build-Depends: occuring twice in control.
  	+ Added gzip in Build-Depends for compressing man page during build.

 -- Fredrik Steen <stone@debian.org>  Mon, 23 Apr 2001 19:35:52 +0200

wmix (2.11-oss-2) unstable; urgency=low

  * Fixed Builddepends to include xlibs-dev Closes:#93423 

 -- Fredrik Steen <stone@debian.org>  Tue, 10 Apr 2001 17:17:20 +0200

wmix (2.11-oss-1) unstable; urgency=low

  * Initial Release, Closes:#91759 wnpp bug

 -- Fredrik Steen <stone@debian.org>  Mon, 26 Mar 2001 13:39:54 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: wmix
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libasound2-dev,
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               libxrandr-dev
Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
Uploaders: Doug Torrance <dtorrance@piedmont.edu>
Standards-Version: 4.1.1
Homepage: http://www.dockapps.net/wmix
Vcs-Browser: https://anonscm.debian.org/git/pkg-wmaker/wmix.git
Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmix.git

Package: wmix
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Dockapp mixer for OSS
 Allows toggling record source, muting individual channels,
 adjusting volume and balance, all in a compact dockapp size,
 with TV-like on-screen-display for volume levels.
 .
 Supports mousewheel to adjust current channelvolume
 and can be controlled remotely with SIGUSR1 / SIGUSR2 to adjust the volume.
 Keeps a simple configuration file for user-defined settings.

## wmix 3.4

=== debian/changelog ===
wmix (3.4-1) unstable; urgency=medium

  [ Doug Torrance ]
  * Update Vcs-* after migration to Salsa.

  [ Jeremy Sowden ]
  * Bumped compat to 12 and replaced d/compat with b-d on debhelper-compat.
  * New upstream version 3.4:
   - calls XSetCommand() to make command-line arguments available to X
     (closes: #501268).
  * Updated uploaders.
  * Removed trailing white-space from d/changelog.
  * Enable hardening.
  * Use https URL in d/watch.
  * Added patch to fix typo's.
  * Bumped Standards-Version to 4.4.0.

 -- Jeremy Sowden <jeremy@azazel.net>  Sun, 28 Jul 2019 13:44:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: wmix
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                libasound2-dev,
                libx11-dev,
                libxext-dev,
                libxpm-dev,
                libxrandr-dev
 Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
-Uploaders: Doug Torrance <dtorrance@piedmont.edu>
-Standards-Version: 4.1.1
+Uploaders: Doug Torrance <dtorrance@piedmont.edu>,
+  Jeremy Sowden <jeremy@azazel.net>
+Standards-Version: 4.4.0
 Homepage: http://www.dockapps.net/wmix
-Vcs-Browser: https://anonscm.debian.org/git/pkg-wmaker/wmix.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-wmaker/wmix.git
+Vcs-Browser: https://salsa.debian.org/wmaker-team/wmix
+Vcs-Git: https://salsa.debian.org/wmaker-team/wmix.git
 
 Package: wmix
 Architecture: any

## wmix 3.5

=== debian/changelog ===
wmix (3.5-3) unstable; urgency=medium

  * d/control
    - bump Standards-Version to 4.7.0
    - update my e-mail address
  * d/patches
    - refresh patch
    - add patch to replace local boolean definitions with `<stdbool.h>`
      (Closes: #1098107)

 -- Jeremy Sowden <azazel@debian.org>  Thu, 27 Feb 2025 21:02:58 +0000

wmix (3.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/control
    - Use secure URI in Homepage field.
  * debian/copyright
    - Use spaces rather than tabs to start continuation lines.

  [ Doug Torrance ]
  * debian/changelog:
    - Remove emacs cruft from bottom of file.
  * debian/control
    - Bump to debhelper compatibility level 13.
    - Update Maintainer email address to use tracker.d.o.
    - Bump Standards-Version to 4.6.0.
    - Reformat using wrap-and-sort.
  * debian/copyright
    - Update upstream mailing list address.
    - Use https for Source URL.
    - Update copyright years.
  * debian/patches/wmix-3.2-fix-volume-adjustment.diff
    - Add Forwarded field.
    - Refresh.
  * debian/salsa-ci.yml
    - Add Salsa pipeline config file.
  * debian/upstream/metadata
    - Add DEP-12 upstream metadata file.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 13 Oct 2021 22:02:44 -0400

wmix (3.5-1) unstable; urgency=medium

  [ Jeremy Sowden ]
  * New upstream version 3.5, fixing GCC-10 FTBFS. (closes: #957947).
  * Bump Standards-Version to 4.5.0.

  [ Andreas Metzler ]
  * Drop wmix-3.4-fix_typos.patch, included upstream.
  * [lintian] Add Rules-Requires-Root: no.

 -- Jeremy Sowden <jeremy@azazel.net>  Sat, 18 Apr 2020 21:19:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: wmix
 Section: x11
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libasound2-dev,
                libx11-dev,
                libxext-dev,
                libxpm-dev,
                libxrandr-dev
-Maintainer: Debian Window Maker Team <pkg-wmaker-devel@lists.alioth.debian.org>
+Maintainer: Debian Window Maker Team <team+wmaker@tracker.debian.org>
 Uploaders: Doug Torrance <dtorrance@piedmont.edu>,
-  Jeremy Sowden <jeremy@azazel.net>
-Standards-Version: 4.4.0
-Homepage: http://www.dockapps.net/wmix
+           Jeremy Sowden <azazel@debian.org>
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Homepage: https://www.dockapps.net/wmix
 Vcs-Browser: https://salsa.debian.org/wmaker-team/wmix
 Vcs-Git: https://salsa.debian.org/wmaker-team/wmix.git
